%define module_name	gatos_km
%define module_release	alt2
%define module_version	20061205

%define kversion	2.6.18
%define krelease	alt26.M40.2
%define flavour		ovz-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	Linux %{module_name} kernel modules for AIW multimedia cards support.
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132626.26.M40.2
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch0: gatos_km-20050716-alt-pci-ids.patch

ExclusiveOS:	Linux
URL:		http://gatos.sourceforge.net
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86 x86_64

%description
Kernel multimedia modules from GATOS project for support AIW cards multimedia
capabilites (like digital broadcasting and video live recoding).

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%patch0 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%ifarch %ix86
GCC_VERSION="$GCC_VERSION -m32"
%endif
%if "%kversion" <= "2.6.0"
# build for 2.4 kernel
%__ln_s Makefile-2.4 Makefile
%make CC="gcc-$GCC_VERSION" TOPDIR=%_usrsrc/linux-%kversion-%flavour/
%else
# build for 2.6 kernel
%__ln_s Makefile-2.6 Makefile
%make -fMakefile-2.6 CC="gcc-$GCC_VERSION" KDIR=%_usrsrc/linux-%kversion-%flavour/
%endif

%install
%__mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
%if "%kversion" <= "2.6.0"
%__cp -a km_drv.o km_api_drv.o $RPM_BUILD_ROOT/%module_dir
%else
%__cp -a *.ko $RPM_BUILD_ROOT/%module_dir
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc README km.actual.rfc.txt km.rfc.txt ChangeLog

%changelog
* Wed Nov 12 2008 Anton Protopopov <aspsk@altlinux.org> 20061205-alt2.132626.26.M40.2
- Build for kernel-image-ovz-smp-2.6.18-alt26.M40.2.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 20061205-alt2
- Removed unneeded "Prereq: modutils".

* Sat Dec 09 2006 L.A. Kostis <lakostis@altlinux.ru> 20061205-alt1
- new cvs snapshot.
- now we work with 2.6.18+.

* Fri Oct 27 2006 L.A. Kostis <lakostis@altlinux.org> 20050716-alt4
- add hack for %%ix86 cross-build on x86_64 host.

* Sun Mar 12 2006 Sergey Vlasov <vsu@altlinux.ru> 20050716-alt3
- Added:
  + gatos_km-20050716-alt-pci-ids.patch: added more pci ids to fix build with
    kernel 2.6.16 (where these ids were removed from <linux/pci_ids.h>)

* Sun Dec 04 2005 Sergey Vlasov <vsu@altlinux.ru> 20050716-alt2
- Enabled build for x86_64.

* Sat Jul 16 2005 LAKostis <lakostis at altlinux.ru> 20050716-alt1
- new cvs snapshot.
- now we work with 2.6.12.

* Sat Jun 11 2005 LAKostis <lakostis at altlinux.ru> 20050611-alt1
- new cvs snapshot.
- hope we can work with 2.6.11 :)

* Sun Apr 03 2005 LAKostis <lakostis at altlinux.ru> 20041218-alt1
- initial build for Sisyphus

